[SRU] Cannot read text in region selection box

Bug #1396318 reported by Billy Olsen on 2014-11-25
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Chris Johnston
Trusty
Undecided
Unassigned

Bug Description

[Impact]
When multiple regions are configured within Horizon, the region selection dropdown box in the top right corner of the horizon dashboard is not visible due to white text on white background.

The fix is a minimal update to the ubuntu theme css that fixes the colors of the region selection dropdown box.

[Test Case]
Steps to reproduce:

1. Install horizon
2. Configure to use multiple regions within keystone (or multiple keystones, 1 per region)
3. log in
4. Observe the region selection box in the top right is white on white text.

Note that additional setup is required to recreate this when deploying from the openstack charms. See https://bugs.launchpad.net/charms/+source/openstack-dashboard/+bug/1398186.

[Regression Potential]
Any potential regressions would affect the ubuntu theme of the horizon dashboard (background/text colors, etc).

Related branches

Changed in horizon (Ubuntu):
assignee: nobody → Chris Johnston (cjohnston)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in horizon (Ubuntu):
status: New → Confirmed
Billy Olsen (billy-olsen) wrote :

Adding a screenshot

Billy Olsen (billy-olsen) wrote :

Note this occurs on icehouse but not juno.

Changed in horizon (Ubuntu):
status: Confirmed → In Progress
Corey Bryant (corey.bryant) wrote :

Note the additional setup that's required to recreate this when deploying from the openstack charms. See https://bugs.launchpad.net/charms/+source/openstack-dashboard/+bug/1398186.

Corey Bryant (corey.bryant) wrote :

Screenshot of fixed drop down box.

description: updated
Changed in horizon (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → Invalid
Changed in horizon:
status: New → Invalid
Chuck Short (zulcss) on 2014-12-04
Changed in horizon (Ubuntu):
status: Invalid → Won't Fix
Changed in horizon (Ubuntu Trusty):
status: New → Fix Committed
status: Fix Committed → In Progress
description: updated
summary: - Cannot read text in region selection box
+ [SRU] Cannot read text in region selection box

Hello Billy, or anyone else affected,

Accepted horizon into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2014.1.3-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Corey Bryant (corey.bryant) wrote :

I've successfully run our openstack regression test suite against trusty-proposed. Billy or Chris, when you have a moment please test this and update the bug appropriately.

Billy Olsen (billy-olsen) wrote :

Verified this with a horizon deployment through the juju bundle deployment. Tested Chrome & Firefox, things look great.

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for horizon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1.3-0ubuntu2

---------------
horizon (1:2014.1.3-0ubuntu2) trusty; urgency=medium

  * Fix Ubuntu theme region switcher dropdown (LP: #1396318)
 -- Chris Johnston <email address hidden> Wed, 03 Dec 2014 14:00:30 -0500

Changed in horizon (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers